From 1b1d64427c7d9fae563ad5b4d6ab3775749fab0e Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 03:35:26 +0200
Subject: [PATCH 12/13] gnu: Add clojure-test-generative

* gnu/packages/clojure.scm (clojure-test-generative): New variable.
---
 gnu/packages/clojure.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index e492c00b0c..1747e67693 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -779,6 +779,32 @@ (define-public clojure-tools-namespace
 repositories.")
     (license license:epl1.0)))
 
+(define-public clojure-test-generative
+  (package
+    (name "clojure-test-generative")
+    (version "0.1.4")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/clojure/test.generative")
+                    (commit (string-append "test.generative-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1bsc7pf7z9wi0ryv2jczks83m3cvkks08bm3lkp673cp7pnawi5p"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/main/clojure")
+       #:tests? #f                    ; No test
+       #:doc-dirs '()))
+    (propagated-inputs
+     (list clojure-tools-namespace
+           clojure-data-generators))
+    (home-page "https://github.com/clojure/test.generative")
+    (synopsis "Generative test runner")
+    (description "Clojure.test.generative runs test generatively")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-gitlibs
   (package
     (name "clojure-tools-gitlibs")
-- 
2.38.0

